[project]
name = "banortegpt"
version = "0.1.0"
description = ""
readme = "README.md"
authors = [
    { name = "Anibal Angulo", email = "anibal.angulo.cardoza@banorte.com" },
]
requires-python = "~=3.12.0"
dependencies = [
    "langchain-core>=0.3.63",
    "langfuse>=2.60.4",
    "langgraph>=0.5.3",
    "qdrant",
    "typing-extensions>=4.13.2",
    "langchain-qdrant>=0.2.0",
]

[tool.uv.workspace]
members = ["packages/*", "apps/*", "notebooks/*"]
exclude = ["packages/*-ui"]

[tool.uv.sources]
qdrant = { workspace = true }

[tool.ruff]
fix = true
exclude = ["migrations"]

[tool.ruff.lint]
select = ["E", "F", "UP", "B", "SIM", "I"]
ignore = ["E501", "SIM115"]

[tool.pyright]
venvPath = "."
venv = ".venv"

[tool.mypy]
ignore_missing_imports = true
disable_error_code = "index"

[tool.pytest.ini_options]
asyncio_mode = "auto"
asyncio_default_fixture_loop_scope = "function"

[tool.setuptools]
packages = ["packages", "apps"]